SDL_HINT_JOYSTICK_LINUX_DIGITAL_HATS(3)

NAME
SDL_HINT_JOYSTICK_LINUX_DIGITAL_HATS - A variable controlling whether joysticks on Linux will always treat 'hat' axis inputs (ABS_HAT0X - ABS_HAT3Y) as 8-way digital hats without checking whether they may be analog.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_JOYSTICK_LINUX_DIGITAL_HATS "SDL_JOYSTICK_LINUX_DIGITAL_HATS"

DESCRIPTION
The variable can be set to the following values:

• "0": Only map hat axis inputs to digital hat outputs if the input axes appear to actually be digital. (default)

• "1": Always handle the input axes numbered ABS_HAT0X to ABS_HAT3Y as digital hats.

This hint should be set before a controller is opened.

AVAILABILITY
This hint is available since SDL 3.2.0.